#include <bits\stdc++.h>

using namespace std;
int n;
int a[100010];
int b[100010];
short gen[2000000][30];

pair<int,int> dogadjaji[300010]; //0 dodaj 1 skini
int duzD;

long long Resi(int N, int *A, int *B) {

    n=N;
    for(int i=0;i<N;i++)
        a[i]=A[i], b[i]=B[i];

    duzD=0;
    for(int i=0;i<n;i++)
    {
        dogadjaji[duzD++]=make_pair(a[i], 0);
        dogadjaji[duzD++]=make_pair(b[i], 1);
    }
    sort(dogadjaji,dogadjaji+duzD);
    /*for(int i=0;i<duzD;i++)
        cout<<dogadjaji[i].first<<" ";*/





	return 0;
}